com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenLicenseDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, MavenDescriptor

      @Label(value="License")
      public interface MavenLicenseDescriptor
      extends MavenDescriptor

  Descriptor for a license entry defined in a pom.xml.
  Author:
    ronald.kunzmann@buschmais.com
  See Also:
    `License`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComments()` Get addendum information pertaining to this license.
    `String` | `getDistribution()` Get the primary method by which this project may be distributed.
    `String` | `getName()` Get the full legal name of the license.
    `String` | `getUrl()` Get the official url for the license text.
    `void` | `setComments(String comments)` Set license comments.
    `void` | `setDistribution(String distribution)` Set distribution information.
    `void` | `setName(String name)` Set the name of the license.
    `void` | `setUrl(String url)` Set the url of the license.

- - ### Method Detail

    - #### getName

          @Property(value="name")
          String getName()

      Get the full legal name of the license.
      Returns:
        The name.

    - #### setName

          void setName(String name)

      Set the name of the license.
      Parameters:
        `name` - The name.

    - #### getUrl

          @Property(value="url")
          String getUrl()

      Get the official url for the license text.
      Returns:
        The url.

    - #### setUrl

          void setUrl(String url)

      Set the url of the license.
      Parameters:
        `url` - The url.

    - #### getComments

          @Property(value="comments")
          String getComments()

      Get addendum information pertaining to this license.
      Returns:
        The comments.

    - #### setComments

          void setComments(String comments)

      Set license comments.
      Parameters:
        `comments` - The comments.

    - #### getDistribution

          @Property(value="distribution")
          String getDistribution()

      Get the primary method by which this project may be distributed.
      repo
        may be downloaded from the Maven repository
      manual
        user must manually download and install the dependency.
      Returns:
        The distribution information.

    - #### setDistribution

          void setDistribution(String distribution)

      Set distribution information.
      Parameters:
        `distribution` - The distribution information.

Copyright © 2015 buschmais GbR. All rights reserved.